summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin262274 -> 262264 bytes
-rw-r--r--dev-python/PyGithub/Manifest2
-rw-r--r--dev-python/PyGithub/PyGithub-1.59.0.ebuild38
-rw-r--r--dev-python/aws-sam-translator/Manifest2
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.70.0.ebuild60
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.26.159.ebuild66
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.29.159.ebuild79
-rw-r--r--dev-python/cons/Manifest2
-rw-r--r--dev-python/cons/cons-0.4.6.ebuild30
-rw-r--r--dev-python/flufl-lock/Manifest4
-rw-r--r--dev-python/flufl-lock/flufl-lock-8.0.1.ebuild36
-rw-r--r--dev-python/flufl-lock/metadata.xml2
-rw-r--r--dev-python/keyring/Manifest2
-rw-r--r--dev-python/keyring/keyring-24.1.0.ebuild46
-rw-r--r--dev-python/markdown2/Manifest2
-rw-r--r--dev-python/markdown2/markdown2-2.4.9.ebuild31
-rw-r--r--dev-python/platformdirs/Manifest2
-rw-r--r--dev-python/platformdirs/platformdirs-3.8.0.ebuild49
-rw-r--r--dev-python/proto-plus/Manifest2
-rw-r--r--dev-python/proto-plus/proto-plus-1.22.3.ebuild41
-rw-r--r--dev-python/ubelt/Manifest2
-rw-r--r--dev-python/ubelt/ubelt-1.3.2.ebuild42
24 files changed, 542 insertions, 2 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 70943926ecae..a1f7fa04ccdc 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/PyGithub/Manifest b/dev-python/PyGithub/Manifest
index 5b9f72ba62a2..7681a9f120f5 100644
--- a/dev-python/PyGithub/Manifest
+++ b/dev-python/PyGithub/Manifest
@@ -1,3 +1,5 @@
DIST PyGithub-1.58.2.tar.gz 3171156 BLAKE2B 251964d542eff68b16a4b56740ed3753f80e56f56458cbc1b909b082b6f5deaf805088a24002e1bb95dae46fc7dcd54da6dbfdbd43c79c097a55f118c0bcc755 SHA512 91db0db09c4bfd145013c4b0861d12271a83bce9de7865eaa3e8baeb02bbb262218987556e7df435b50fcd14ea178da7bc23225d4d93ccf1714fa9a894cd46bd
+DIST PyGithub-1.59.0.tar.gz 3295401 BLAKE2B 39261ddcd20112aa529c17f66c8e69d7af7db9708f179395f29ea4b881fdec4598637b63ca1214affc2f6a9c15db227e57ade51029ed578a6b90633d353712cf SHA512 2a95fb9a99c096a1ee0971df133338764275a9ac99e58a4d81ece954831497e0aaf6eec26172513843098777666ab4f3c5df92a42802f0b953fe50f5ec7824a9
EBUILD PyGithub-1.58.2.ebuild 872 BLAKE2B 73a115f6ae666e6d6ccc1008acc426c0912e01375172df2ece5111303fb2aa39f921dd56aaeb9cfd1b473402df80fdea8537c8c6d4537a4e957029f3c770c824 SHA512 ad384dd73b113623bde205dcb52429b6da5b43b44f4f346d95e24a71b975e72d640033b89c0a5c9b3297b6446bafb6c930313f36d52f75570573f3374b32cfd8
+EBUILD PyGithub-1.59.0.ebuild 874 BLAKE2B 1cd0cadf7e76fa2db5920cda46677b9d00f0e049c969fcb6a0147b129ac5aceef9f983ac1cccbbd1b6ec4e31c0b525710e918846f0cc8f5e3f81283dea47c9b3 SHA512 ebe473b3c1e796a4286aa077c31ea418947b26047c5d2fec87af425205ee3664eea5a7df8384fb35867ebde409c368d6314b15b2afb1d9b6c0bacdc480caad56
MISC metadata.xml 501 BLAKE2B 1692287021b81416f18386da2b1dffd1c358d4dbfa3aacf7d5f773db0889ba966408c35fdbb7ea7f741923d542ea4e825039ab124a64168ad2d5264d1718dc5b SHA512 e1f2c16e725e96e8d576ff6b87a79d39f1b8169c6f419eadcd18a8a266fd188dc08fc9efa236f2c696449a083b000086b153da559cd819fcb73ddf2518500813
diff --git a/dev-python/PyGithub/PyGithub-1.59.0.ebuild b/dev-python/PyGithub/PyGithub-1.59.0.ebuild
new file mode 100644
index 000000000000..c22ebb71ed44
--- /dev/null
+++ b/dev-python/PyGithub/PyGithub-1.59.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library to access the Github API v3"
+HOMEPAGE="
+ https://github.com/PyGithub/PyGithub/
+ https://pypi.org/project/PyGithub/
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# cryptography via pyjwt[crypto]
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/deprecated[${PYTHON_USEDEP}]
+ >=dev-python/pyjwt-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/httpretty-0.9.6[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index 6f5419441844..5c19359c3c54 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1,5 +1,7 @@
DIST serverless-application-model-1.68.0.gh.tar.gz 5807706 BLAKE2B 82d596bf9c93ca9f45cf7d9f6bbfbe46c0e845eb618f7619377f74a6e9e3971c60ba1ac6a73e5247f292553e1efaff723bbb66503bec74731eac97661a325950 SHA512 40a6961556e6e162d45d521f31fd086da77ce2e4e93d081d7be41f47779673513e09f8d48953b53410d59800942c9514eacb765d55534a3df4e2cddc09d658c7
DIST serverless-application-model-1.69.0.gh.tar.gz 5925860 BLAKE2B 0182aad62920c911551dfcd5378f8d61a2c7f50eda6f222591128ebc513a7cb2f738875ceb24edf6136a964f56e5f39929f8734e5cf5e09d36331f0f988ac4f4 SHA512 4fa7941188af8ef0f0aef688617b8c5b02152fc565433af740bd7243b9b9d9b41035d4cf76c31ae5da764b4143d6ae5c1eda1345daf3b7265b48aaf2e1624284
+DIST serverless-application-model-1.70.0.gh.tar.gz 5931243 BLAKE2B cf166c21197a7c66f6da74290f62e2c3ecf513c15ade5feacff1e60236810e13c6feaa315f4d62ba620ca65f5af852d9d592aea20c981b8f49662b12554b41cd SHA512 899c89b7ada9b0f3bb4fef96a9932e4dce45ef9dc30e4ea224791051628410302ab87bfff5ffc11deef518ec100b7ee987de96beca7cc7c3b154e6c8137620ab
EBUILD aws-sam-translator-1.68.0.ebuild 1544 BLAKE2B 9572110682a5bfaeee90d69c6026a0130cacda3efb2d2da2952d675f5764745fb8fa7e7b1e586b2b029f5d8b955d9934228210734b060af23abdde9b2e18c487 SHA512 48956aabc1cd71db9d3cddb180c37387c8e5e4e314411a41f3ad791bbe6b2435208c9e045dead45d6e10944271b7f9954e2d1ae9290a3078d1e35391c0f52512
EBUILD aws-sam-translator-1.69.0.ebuild 1546 BLAKE2B ad6e5889df4bcddb45b7c19b46a2d29b4e58be32c5e2e7642713309a6962b870af65dad07437b2b5167481b4cbde6638c235a1928b930a8a50c1943e33364ccb SHA512 5b80e19e8592c98a0121af922addf5c0904d21164d1411459a5a96cf2ce54c3b728f6a7eaeb3a3629f24eac9f805d34548f9aeddb8d552d8a185599b23f0e124
+EBUILD aws-sam-translator-1.70.0.ebuild 1546 BLAKE2B ad6e5889df4bcddb45b7c19b46a2d29b4e58be32c5e2e7642713309a6962b870af65dad07437b2b5167481b4cbde6638c235a1928b930a8a50c1943e33364ccb SHA512 5b80e19e8592c98a0121af922addf5c0904d21164d1411459a5a96cf2ce54c3b728f6a7eaeb3a3629f24eac9f805d34548f9aeddb8d552d8a185599b23f0e124
MISC metadata.xml 603 BLAKE2B 89556267393186cf69a585c58efeb6fa599bfb42ef221bea955ea807a28edee89036a2ee0d0ca81ae55d96702a01b171b837754dabf38047ecc2789157bb7116 SHA512 106b6d241eadf7807dadf03329073703f8b51e7443eddc4db8752878b6dd84cc4357689cd4b796b3a083192e9d98eacbe9e7b8af0273160c7b89846e78230a88
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.70.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.70.0.ebuild
new file mode 100644
index 000000000000..5a83e871d7a8
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.70.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=serverless-application-model-${PV}
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="
+ https://github.com/aws/serverless-application-model/
+ https://pypi.org/project/aws-sam-translator/
+"
+SRC_URI="
+ https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/boto3-2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.19.5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2[${PYTHON_USEDEP}]
+ <dev-python/pydantic-2[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.8[${PYTHON_USEDEP}]
+ <dev-python/typing-extensions-5[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # so much noise...
+ sed -i -e '/log_cli/d' pytest.ini || die
+
+ # deps are installed by ebuild, don't try to reinstall them via pip
+ truncate --size=0 requirements/*.txt || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AWS_DEFAULT_REGION=us-east-1
+ epytest -o addopts=
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index c43a81ad2351..59769fe214f9 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -8,6 +8,7 @@ DIST boto3-1.26.155.gh.tar.gz 664838 BLAKE2B 35c78d4da5bcba6f218a854d67647b71b16
DIST boto3-1.26.156.gh.tar.gz 665272 BLAKE2B 7926b1ec420872d68d47483539ab9174ef9d8697ec0829a3ed3293ed589e459eb1a16591e53283b0d3cf639cbdd0d34fe730f347d1a50a8e72ce7ee545d332db SHA512 49b1653ccb1380529dd9ca90d63975b0a4dc5f671016d905d684074f858e3825dc6420de80bd90512aff91e33792dfbac94cd853acb617859e46e74d5aabee47
DIST boto3-1.26.157.gh.tar.gz 666162 BLAKE2B ad80278fed9022dabb77879cca15cb7abf2bebfcbd7982a743dd0b5a91bfc8f577e46dd9c9dce83177825cc5995e861127b6161413e3dd351f96019e0bdcb6ef SHA512 7a95efa482ba8fca1578414dc24fa999731347a934ccfe67ea9b56f7497c879749a7cdeedd244741900c8d85f61ef79a5ef9359cb54d34c4e32e28792c76ac4b
DIST boto3-1.26.158.gh.tar.gz 667274 BLAKE2B e507fc9d404fabeb179524408c883ae5311c2273d838d7270eb60aa0c13e4f8faa3fe0ae4dc58566ba8f61764d171c3b012906e6d5ff91e1e958d5fb6ea2936e SHA512 ff70265a03fd29de37f7cc328c2ab277483390f27977f36fca5199ac2b10d978f5ef4db1504f12da4f3d1453fb7051375784cbc840ec3be7f161c6a42c44c1a4
+DIST boto3-1.26.159.gh.tar.gz 667712 BLAKE2B 6604ba81b3c52dba19d31a92b8e800958abbc5927f6513eff688c7dacb7db9f16927402336113a33a4a8d6da9440b1f91323b18957be77137eff351aae3ef550 SHA512 a5ba427bb5b5cd3e60b668cd4f9923ddf4f5e3341aa219a599c1b15b27bc22d6c6e3a07b38e75ad302cd15ecb3e2bfd42570e7bd4007929345b9f61eb3a853fe
EBUILD boto3-1.26.142.ebuild 1508 BLAKE2B 42be8b915da646a7afe6dfc988542d3d79b5dbdc565d2e738d210e3f77b7c5ba6dfbac45e46b9cc3cc4770611cbc0c155abc7f1807ff0cb8e6033f927bea4048 SHA512 06404c0363c0c7c0d378d1c2b91073c137a1685d2d846d98c655e6d001df5cde0eb51bf6e160879af2b56321a02e84146ce634855f70c7c3fbbd1adbb9b8ef8e
EBUILD boto3-1.26.146.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.151.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
@@ -18,5 +19,6 @@ EBUILD boto3-1.26.155.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad33966
EBUILD boto3-1.26.156.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.157.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.158.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
+EBUILD boto3-1.26.159.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-9999.ebuild 1514 BLAKE2B 5d31d27ac50ed037fb8be61559bac03bd2a8c63f3220ac93ecc864c0e3cbd34763b9b70761a9f364cbc85a0edd84c6f6eeff614292f31473b4935e5bb86fae7b SHA512 26bd2959c745f0e423d683d2fedeab9a438d215fa9b28b403d0cea81caac7436f05382b2a91a183bc1095f3b205e3b2115f931cd7803e0b9838c2a507562da5c
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.26.159.ebuild b/dev-python/boto3/boto3-1.26.159.ebuild
new file mode 100644
index 000000000000..2a4a7643203e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.159.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 36ac78dc3e2c..2792abb86d1c 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -8,6 +8,7 @@ DIST botocore-1.29.155.gh.tar.gz 11673165 BLAKE2B 653cc8b368d34502bcb16622677f11
DIST botocore-1.29.156.gh.tar.gz 11675796 BLAKE2B 683a26d0e19a9c567c68bd297bbe72c1319e2d7767e47f23fb51c9f5934fdfde69e15d86e86390198fe7c3fe1621129bf777c4d8a17e4a4c94c1ba160bb35b3a SHA512 93e6bd8878848c81d7e97706db7a456743c58372596ebf215e1a76f6b7b9a0ac75eefb1da5621d2cf21ff75184f9760fef0d67aeb076820ca8f0ba8ee6546e41
DIST botocore-1.29.157.gh.tar.gz 11678505 BLAKE2B f946118809c4d96000bc6cc23f650ea166d2dc52d0ffbd7eb5a6263feb81f0e102aa5083ff5562ec06ad6289045659234647fba6b2625e6b9d1b2204089f69fa SHA512 1bd7cf41979583b5ca6b956f7c4de7a63e19e3ce07b00d285f498c75b31dd640d0319416c9292cec41b7daf0b8a1c75e7859ba631d965e5ad746654f390d5ce1
DIST botocore-1.29.158.gh.tar.gz 11687611 BLAKE2B dde78cc51bde5e7f49054d5954ddaff190d2b26d5c156a3967fb10dd420ab9665bd6981c0a9ad05a358cc76ed51913bf544cd79d4a6e44cf993a81b7d3ab60dd SHA512 bf7523bfd888906f5a38b8789bbeddffc59fec9609d8bb173476e88e60b8fd036c26efdc3fa56fed1d23d69d09c1ee0f2b1e5ee946224cf3cb1435456098790c
+DIST botocore-1.29.159.gh.tar.gz 11694696 BLAKE2B 8643d3beb049b8ab153fda947801b862926f4160586d29831c0a1d6fef7e3caed2c2ff83bdffe1d61f49f81a11aa9dcc57b3c2d2419e21ccc543cc40a3532308 SHA512 782d051749f5a998cf93878e53b3f12e4fde36712708adff58f1e720e83f79f4330410725e0a8b097f5ca425cc093dfea8e746afedeceb582a3e82c7fd169477
EBUILD botocore-1.29.142.ebuild 2478 BLAKE2B 12b452c39c98b793a4f15b9a8e8b082ba77dcf677a7c529d2d4b8b81d729403597e071da7d2c98e5e4ed65778e19ea881c6993cf3405e7f80ad20a078fa18a63 SHA512 5118842311b8971e9d2b9f03a45f496caef3b95cfa79334f77097430d569cab7ac1261dcab3fe13236ecad3907936ae49eea87620a12304ae6cf6798639deb47
EBUILD botocore-1.29.146.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
EBUILD botocore-1.29.151.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
@@ -18,5 +19,6 @@ EBUILD botocore-1.29.155.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d9
EBUILD botocore-1.29.156.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
EBUILD botocore-1.29.157.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
EBUILD botocore-1.29.158.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
+EBUILD botocore-1.29.159.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
EBUILD botocore-9999.ebuild 1736 BLAKE2B 6ca7ea14855f5f8db2d166ba1f29835d4c994a0a8fa38f3852406289a4465c091909562ac678f1c0bf7e640a594731b0d4319efc0f34f6bc640fbae06746c4bc SHA512 f891bf0eded88d9af3b87fc7c9ee4c6a129d263e672821f3b9654d43bb3bcac41305b834192088d15b50f3f9d36ea95374180cf13e1cb67149595ec63e4cc155
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.29.159.ebuild b/dev-python/botocore/botocore-1.29.159.ebuild
new file mode 100644
index 000000000000..3ced99abe4ff
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.159.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ # urllib3-2 compatibility, mock relies on implementation details
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_no_response_from_server
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_returned
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_sends_307
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_sends_connection_header
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_handles_expect_100_with_different_reason_phrase
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_state_reset_on_connection_close
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cons/Manifest b/dev-python/cons/Manifest
index 6e481004ebd7..1237539b7e5e 100644
--- a/dev-python/cons/Manifest
+++ b/dev-python/cons/Manifest
@@ -1,3 +1,5 @@
DIST cons-0.4.5.gh.tar.gz 40318 BLAKE2B c01f195c4f29ffe42e08fba6b57806b96263f7ebbc1cc859b8d146cd94e257829506502f2bc81f5665f4caf3bb8725ec556b70b951ede2b8117ba50fdb4388e5 SHA512 fea3af6b7198760f36194793a32a87f17729877f75baca6fd9627c32c4602e640cf667bb106624e9d756aece57053974e90e32329de484619a14b3500bea26e7
+DIST cons-0.4.6.gh.tar.gz 40414 BLAKE2B 5d234ed77d44f0b892c3cc8fc4816a4cc1ca5cca36501adca8cbc84a48dff320c3ea45555aaa2203d1ed5072e74404e62184f000db393c155b008943990b7df3 SHA512 195a2e23a6ee37aba1cc34c0f26a2b55f86948c4a2eb5dab50b9b917bdee97bbb53562830c75184c8483260ba9bc9352d1430f99937aa29156cbf3ce2fb0254b
EBUILD cons-0.4.5.ebuild 616 BLAKE2B bb51c19f0cbab759f10cc5907d0ae12428beb3eeb73b340bc54b473f1e7f2e280757fdfce5937867f8200a610c76607bdf3afdf006520b82d349a019c270cfa9 SHA512 3da8578372079ab72838bf3731fef30a1e0ac3d91ccc952dd220555bc68ecd2459aa2896d79931b7b711606d710199b410861c96efe5a65af86eab579211acae
+EBUILD cons-0.4.6.ebuild 654 BLAKE2B b8769b203cf930b9381619feb5610dfc32b5c590376c09310c14f5b254a3d0e83e44523dd98c1fbc4be5d6c58671da37005ef04449096c3119fb70d323a5dd95 SHA512 455f887acc00bcbd9c3e0cbf05847fffdc0120721b2a6285a047b4ebe06027baab4b9cb3c8c9d82a07647202a13e6f4b5ae308129082bac0ab77215d6cf56253
MISC metadata.xml 396 BLAKE2B 9ba9a455c02e9ac43a4930f43b79db507f4f501c1b67b3ac88cc3446fb4a65707880e526c8ec140ec6df597e2e9d71f9f7c8add8bd0a3a30505367a442c4e3a1 SHA512 df6579314a49aec9ea574112a6d9cf0e4cf8a0bace10617ef6bfeb1916e38c6de20966800ad1bcc66e45d5526f43da46c1616438c283f17aa9f54b8ab8b973e5
diff --git a/dev-python/cons/cons-0.4.6.ebuild b/dev-python/cons/cons-0.4.6.ebuild
new file mode 100644
index 000000000000..765c7e56f5b2
--- /dev/null
+++ b/dev-python/cons/cons-0.4.6.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Implementation of Lisp/Scheme-like cons in Python"
+HOMEPAGE="
+ https://pypi.org/project/cons/
+ https://github.com/pythological/python-cons/
+"
+SRC_URI="
+ https://github.com/pythological/python-cons/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${P}"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+
+RDEPEND="
+ dev-python/logical-unification[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/flufl-lock/Manifest b/dev-python/flufl-lock/Manifest
index d6cb108582c2..09b4891e5fde 100644
--- a/dev-python/flufl-lock/Manifest
+++ b/dev-python/flufl-lock/Manifest
@@ -1,3 +1,5 @@
DIST flufl.lock-7.1.1.tar.gz 33017 BLAKE2B 813b4b77fe2b7c9d7125e9d4a5530a77aa4205e1eb0a90852419f29669db97c683fe1d73d221bc7490a7a827da24e23bfac38002c1e6a179289b56b59e2d4dfa SHA512 eb9d8a80013ca07cc3eaab30ced596c0362cfc59d5a1f7cf17aacbf4068d9989b443df7e2d5f5e09d6f60e0ebc784ab1897ca7379fde7eeb57246cb6b5dfef3f
+DIST flufl_lock-8.0.1.tar.gz 34442 BLAKE2B 07a837ec1965ae9c9f61a7601de0727bbab25b625744358e1c7e4c3112e26cd02db00fefe31d4900a2631d436eff8150aaddf6e80f8adb5e799bc9440ccea681 SHA512 059a0ed742d941f936a5a06f6fb0b72aa218fc4cd4c03788fcec6ddcef9fcc2bda767ff89a7d380ad79e07a2eec4840b32efc0921c0ff277d00a9fb8cbe80e4e
EBUILD flufl-lock-7.1.1.ebuild 769 BLAKE2B 4bb090f2d07c88799e6d11f8f671012c240a5c555900a1b2dd19fcbed2ac54212961a675496b5f5144adb8dcbf6c2a69d870af8dbb2aa0f1d7ea5ae31ab72b3f SHA512 7063ed29f4e7ad969b4bb4554fac1f291b8c764d37209a02bdbc170ce37466e3e148cf0abac8fc7949b9301dcc062f57daf27461aac03b2c2a120df999726291
-MISC metadata.xml 464 BLAKE2B 8d37ad69fe6f35790593ff0588261389cd693d9197efc317d7d674dfb940a1dd41e69722542e84f0b6adbe6c10cbd590a047107815bd7f3177dc30557661686e SHA512 713d28869ccf26305a8c5f17855b20f55aa3884ad694096a305fdad67abe75f66ba5b7d9c940b18c414cca448f862bc8fa2705e6f1bbacdfa69672046258ec0f
+EBUILD flufl-lock-8.0.1.ebuild 693 BLAKE2B 1eda5831564d00b147a45a8363180e5342da3a8ce249349060e3586088d1b8f9e1552b09c1c640d2000712238c9ddd2faf5b51ed281c92bf1861ac9b382fc171 SHA512 fb0b10b25b1d396c56004b8d30450494432b7e605c450d03052d6775f249fbb33fcea83192ec2aab2e8ad442eac89807148b21efff4412fe7bc932a575b4e35f
+MISC metadata.xml 464 BLAKE2B 36624de30af45ba511534e202791e87299a39b6995dee4fdbdca8962141c60a66dd9d039eb0b6e3df49340e732b87b075ada472e754e2f979276de34bb83914a SHA512 1e403da83a24633021f60408ede5c9ded22dd78e6a4e7ba473c156ba17e30561a45742cfe6d9f5deaae605644a86c8678d4934bfcab01d04e964a4fb37a7d6dc
diff --git a/dev-python/flufl-lock/flufl-lock-8.0.1.ebuild b/dev-python/flufl-lock/flufl-lock-8.0.1.ebuild
new file mode 100644
index 000000000000..8b80134a31e4
--- /dev/null
+++ b/dev-python/flufl-lock/flufl-lock-8.0.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="NFS-safe file locking with timeouts for POSIX systems"
+HOMEPAGE="
+ https://gitlab.com/warsaw/flufl.lock/
+ https://pypi.org/project/flufl-lock/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/atpublic[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/sybil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/addopts/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/flufl-lock/metadata.xml b/dev-python/flufl-lock/metadata.xml
index 6f8ea1241836..4e81d59df081 100644
--- a/dev-python/flufl-lock/metadata.xml
+++ b/dev-python/flufl-lock/metadata.xml
@@ -10,6 +10,6 @@
</maintainer>
<upstream>
<remote-id type="gitlab">warsaw/flufl.lock</remote-id>
- <remote-id type="pypi">flufl.lock</remote-id>
+ <remote-id type="pypi">flufl-lock</remote-id>
</upstream>
</pkgmetadata>
diff --git a/dev-python/keyring/Manifest b/dev-python/keyring/Manifest
index f13b1e615bd4..e636350c9f4d 100644
--- a/dev-python/keyring/Manifest
+++ b/dev-python/keyring/Manifest
@@ -1,7 +1,9 @@
DIST keyring-23.13.1.tar.gz 59582 BLAKE2B fb39490ba857f97b9b89856059664dfe21495ffe651bb48ad4e2284efe3f3c7551d34bfb4c39518c2b9b5e31e61b91693301271750f4ec837567d7652b11e9ef SHA512 7e56380e7311a31d8703b9e3beb74a8c8ce026f6cf9e1792780d349f3db61f50a1905c7d509a7013dd7cb47428dd3c28c3620815f01d3c4dbd7f648e056539d0
DIST keyring-24.0.0.tar.gz 59671 BLAKE2B 424247f21958c5f485de2a4eca3d0cabcb2eec3b80ab3492f15ce1c0df3ff33131453387083da2119aaac7368153a59c31ad1919d7f350f62b1cfa367b9f0eed SHA512 4e6ce15d43aadbb831005e9b8f5cdebe4c034d9e2e47798814ae83d8146226504147585b8bfcb10ee5461113bd45d296f41c8c2bbf6fd30665192051b937ef05
DIST keyring-24.0.1.tar.gz 58592 BLAKE2B ccd9990ec3c947cf7a83e3503dbdd53d364b6e69a5bb12e79bf5c796f253bfa233a7828593aece4f7aaaa2bea1b651f9459e12709312deb77984352bf8ef25a4 SHA512 52cab8c91c9178a310d4891541ad13d016feb866fd7592a7d114d421cd0781e4e0c121f8b82c44af91c516f1feb674d207626a881aadc1c802b02678960e37c9
+DIST keyring-24.1.0.tar.gz 58824 BLAKE2B e27caa20c13e658183a09bceb5653cd6afc80e45c8667bde2525c3531df36e406e2c841608b7cb19d6c705c79a42b0700901e798cfb2c148781baf7a22a6fde9 SHA512 effd121d0e9c1dc5d32ee1337974ac5b6b53d128e72f6b4f355d0134f2dfe1af8942802b7772587ff8e473a7ffab518182af600a378e86cb3aa0555844289fdb
EBUILD keyring-23.13.1-r1.ebuild 1122 BLAKE2B d2b2b80edd62c22e2ff5f478a93b86e30eb26109a144825996431e6347bfdcb2f83c5c8ebfbda984e6d682050dabf034f304a0d0fbf8ce13278702f48fb46759 SHA512 4aa16f582e0669db81ac3555f6072faf9edc86c85f746417fb75b74ad2d27bcc1d32773a17227087366ed9bb74ed5d9d40c9aec39783cfbea5950a9ef26617e9
EBUILD keyring-24.0.0.ebuild 1129 BLAKE2B adab9e210a074c94eb2920537093a530dac237fd52764c00cf26d2f8ac8f19ad6b16eb852a76d7016254e609190e7cb8129d44202918832c3211a52cd7f0649e SHA512 462af751f869251fbff50581f98e8394f4dc51fe9009eb3a09c79a124b80aa8df2f42ff48fa1f2a40abeffbacdb60951686af24f122e7b79d821eb38eaec3d78
EBUILD keyring-24.0.1.ebuild 1129 BLAKE2B adab9e210a074c94eb2920537093a530dac237fd52764c00cf26d2f8ac8f19ad6b16eb852a76d7016254e609190e7cb8129d44202918832c3211a52cd7f0649e SHA512 462af751f869251fbff50581f98e8394f4dc51fe9009eb3a09c79a124b80aa8df2f42ff48fa1f2a40abeffbacdb60951686af24f122e7b79d821eb38eaec3d78
+EBUILD keyring-24.1.0.ebuild 1129 BLAKE2B adab9e210a074c94eb2920537093a530dac237fd52764c00cf26d2f8ac8f19ad6b16eb852a76d7016254e609190e7cb8129d44202918832c3211a52cd7f0649e SHA512 462af751f869251fbff50581f98e8394f4dc51fe9009eb3a09c79a124b80aa8df2f42ff48fa1f2a40abeffbacdb60951686af24f122e7b79d821eb38eaec3d78
MISC metadata.xml 611 BLAKE2B 7f938075d992467e01da200f0c859e9bc6a6128296151b3529b2168b68364605bd7dbadf69f7820d459d5db6950908e0b0acb09a636f1fc45862093df6d08334 SHA512 a0ad1729c53b18fedf227053648b04541f5adcf56bfaa73218e214f8c2409ebe2574a5917442c5218084b38da34691b6566f2c65390ef6487985a123f62f9efb
diff --git a/dev-python/keyring/keyring-24.1.0.ebuild b/dev-python/keyring/keyring-24.1.0.ebuild
new file mode 100644
index 000000000000..b53edb187cea
--- /dev/null
+++ b/dev-python/keyring/keyring-24.1.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Provides access to the system keyring service"
+HOMEPAGE="
+ https://github.com/jaraco/keyring/
+ https://pypi.org/project/keyring/
+"
+
+SLOT="0"
+LICENSE="PSF-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/secretstorage-3.2[${PYTHON_USEDEP}]
+ dev-python/jaraco-classes[${PYTHON_USEDEP}]
+ >=dev-python/jeepney-0.4.2[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib-metadata-4.11.4[${PYTHON_USEDEP}]
+ ' 3.9 3.10 3.11)
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # this test fails if importlib-metadata returns more than one
+ # entry, i.e. when keyring is installed already
+ tests/test_packaging.py::test_entry_point
+)
+
+EPYTEST_IGNORE=(
+ # apparently does not unlock the keyring properly
+ tests/backends/test_libsecret.py
+ # hangs
+ tests/backends/test_kwallet.py
+)
diff --git a/dev-python/markdown2/Manifest b/dev-python/markdown2/Manifest
index 22eea3f17881..6dbef01766a5 100644
--- a/dev-python/markdown2/Manifest
+++ b/dev-python/markdown2/Manifest
@@ -1,3 +1,5 @@
DIST markdown2-2.4.8.tar.gz 119398 BLAKE2B 41a8a4fc669b048be243d5689b3cde91b5d071926454009ca5fc08a28f1fef2938ec6382f06e6a876c4e8b08824c61bedfe8da251bf1f6414b777ab8e745704c SHA512 d7ec267ac11bdb5f58b34d9bef095377790de50cea03d1ebb50f586c463c1c3ab541a88a00ea5afae83943699e607827e760504e211014ce8a2c33b4c72ff07e
+DIST markdown2-2.4.9.tar.gz 122039 BLAKE2B b21a6d749d88ebc6959309cac7b7e35081032f6c8bb43b51164c59094afc333bcf0d613c4065607e0c7e80e05de8295053cda3aeaff459681ac8327a1c5b00ef SHA512 6d6791b4552cd92e8f9647ac70b7515d23e38d40c0ae6320c2a55dddecdf6d24b41c24d1c375451ea51b95470382036860d7bc04d53a9da1f2452c9114eba4f5
EBUILD markdown2-2.4.8.ebuild 657 BLAKE2B 333bda780ffb58dc3a32723ca5366ee1034d61c61d4c84272deef7a1176d0c5a59b92899d7260068974ec4438bcbc1e2fe72305c055045f8e8c27c00272b37a5 SHA512 e861b075ced2bf488e98d083fc61970305825432785cf52fccf805abda568177daf651359f587fd07cc6883f17a00a9bb23ea81d77249bec15c784d951a59370
+EBUILD markdown2-2.4.9.ebuild 661 BLAKE2B 8486c1d3444cbb87b68adffc5f6334d54d854649ee5274ffc2257633cdba5072b06d48b9c1d9f2f28e7fca32a8b565984bf69620580dba913e59a6c032e069eb SHA512 43eb5dfd8147e4fb4a59058cd98fcf88caa70521650644273b4938ab9ecd5b266187021af064051da306540884e77b1b4ea07f3ba84df60127157b3a73a20530
MISC metadata.xml 551 BLAKE2B 293046752073df3a0fe72acea3165d62ae78297f82aa72e40edeaab6bb6021ccbeaa8cc145341aa05dd3fe87c2f89e88f2281ca95ead33d99bbfc5ba53573ca1 SHA512 9d30d896754f1379f4fae79f86bec966cc3639a42e5e7bcc7e8d2e94881ee8a75b7e3ddedbc1573f1eb3c429aea636512efdb887f2827dc1b1aaa4caaa44e413
diff --git a/dev-python/markdown2/markdown2-2.4.9.ebuild b/dev-python/markdown2/markdown2-2.4.9.ebuild
new file mode 100644
index 000000000000..904562e7b031
--- /dev/null
+++ b/dev-python/markdown2/markdown2-2.4.9.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python Markdown language reimplementation"
+HOMEPAGE="
+ https://github.com/trentm/python-markdown2/
+ https://pypi.org/project/markdown2/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/pygments-2.7.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ cd test || die
+ "${EPYTHON}" -m unittest test_markdown2.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/platformdirs/Manifest b/dev-python/platformdirs/Manifest
index d3aa00090b04..befa76d70975 100644
--- a/dev-python/platformdirs/Manifest
+++ b/dev-python/platformdirs/Manifest
@@ -3,9 +3,11 @@ DIST platformdirs-3.5.2.tar.gz 17775 BLAKE2B 2ec36d1efb77cdf5d247dd7e3a731389f41
DIST platformdirs-3.5.3.tar.gz 17780 BLAKE2B bffcc38623022f24175d1cb7097e65f73208b5aefedba2a22a584ea63fafeafe9ec7fd3701f903890282bca33dfd03d11c3070327f7efe474eb64ed548448ac6 SHA512 2510f7e5a260df6ac5d111e80a513979060f7a77c038b79d6db4b42d196ffb8bbacb2db6e986186926931bb28fec867404ed4e23eb3268b6abdbf318d79baa69
DIST platformdirs-3.6.0.tar.gz 18187 BLAKE2B 22e6da0d01e3862518052eba5a20efca4bb365619a6acdbd7722367b5acc4724a06f3baa8a57e8ba2d1957d9be35fd0074db89cc5732596e05bd44c2b5248a41 SHA512 f760e0fec11ca040e2138fc6c8423f9a39106fdf1f41811a19598892fbda31dc75cdeb4138e6355d87bbeeb879fd42ac2eee6e337e6093e59150ee26e73e4d41
DIST platformdirs-3.7.0.tar.gz 18322 BLAKE2B dc1d68c0149e29d043373904616d9d82aea12b62da639cd2daf1d2134b28338200bfd44bdd1750d8ff0202608e92764023dbd9f899f4602d074e246fd3eb10ab SHA512 a7c392787f7db55393888fc5a5e2b7ace131a3ed09d063169630a5cd86f0a9ec5569b2b5de599d2844f3bad439b6a36deb61cbc209faa0913c30c0803ad48ac2
+DIST platformdirs-3.8.0.tar.gz 18451 BLAKE2B cac717c3968fd20b7bdac464443cedcdc50b04b732ae8a212fcb946170ad1553ffae82cbdca05c2cf01ebbc4383216cd0f0afe84cddc2ce6107f10fd40213542 SHA512 64937f3e9e03a9ec8dc2068777dfe553ec09cef62ce53a753608bd9a73e0afaa4489c98046e7b4b3fdbded237cf2813bfd306a6d5ad5788031b6857d8d4fa430
EBUILD platformdirs-3.5.1.ebuild 1326 BLAKE2B 02a40864be04dfe30c609d82652dac8ea264fdcf5e5fa7802cccd67aea42fef23fa674fac448cbe4af75e22a60e029fe00ab49a82529b45e02786d36fbbd6107 SHA512 97ac223f0e44101860803b0a109f3ba4d9f521b43f30d7f3ae79cd6745819bfba6ca46464323da9a0483c8a0f466dfe406d3928fe567323e6579e7adfd4d97ed
EBUILD platformdirs-3.5.2.ebuild 1334 BLAKE2B 200f71291e7e4d5986d17b6cdb7f2357eba9560c3b3a827f70ecdd590170b12fcb7a5d349fb249e2dcddcd5be2b17fcbd852bfa637cbf0f94c16ee07d43408c5 SHA512 4e6095aabd727e20f53ee1e381af4782910c33d1806c311f6394740a9b2cdaf7fe5491fc8408a7e0bbb090b8d4da1163404149e6ce1238823eae14a0a02b6772
EBUILD platformdirs-3.5.3.ebuild 1334 BLAKE2B 200f71291e7e4d5986d17b6cdb7f2357eba9560c3b3a827f70ecdd590170b12fcb7a5d349fb249e2dcddcd5be2b17fcbd852bfa637cbf0f94c16ee07d43408c5 SHA512 4e6095aabd727e20f53ee1e381af4782910c33d1806c311f6394740a9b2cdaf7fe5491fc8408a7e0bbb090b8d4da1163404149e6ce1238823eae14a0a02b6772
EBUILD platformdirs-3.6.0.ebuild 1334 BLAKE2B 200f71291e7e4d5986d17b6cdb7f2357eba9560c3b3a827f70ecdd590170b12fcb7a5d349fb249e2dcddcd5be2b17fcbd852bfa637cbf0f94c16ee07d43408c5 SHA512 4e6095aabd727e20f53ee1e381af4782910c33d1806c311f6394740a9b2cdaf7fe5491fc8408a7e0bbb090b8d4da1163404149e6ce1238823eae14a0a02b6772
EBUILD platformdirs-3.7.0.ebuild 1334 BLAKE2B 200f71291e7e4d5986d17b6cdb7f2357eba9560c3b3a827f70ecdd590170b12fcb7a5d349fb249e2dcddcd5be2b17fcbd852bfa637cbf0f94c16ee07d43408c5 SHA512 4e6095aabd727e20f53ee1e381af4782910c33d1806c311f6394740a9b2cdaf7fe5491fc8408a7e0bbb090b8d4da1163404149e6ce1238823eae14a0a02b6772
+EBUILD platformdirs-3.8.0.ebuild 1334 BLAKE2B 200f71291e7e4d5986d17b6cdb7f2357eba9560c3b3a827f70ecdd590170b12fcb7a5d349fb249e2dcddcd5be2b17fcbd852bfa637cbf0f94c16ee07d43408c5 SHA512 4e6095aabd727e20f53ee1e381af4782910c33d1806c311f6394740a9b2cdaf7fe5491fc8408a7e0bbb090b8d4da1163404149e6ce1238823eae14a0a02b6772
MISC metadata.xml 383 BLAKE2B b8c8c1593d154e7a38ca4bc450c14ca21f2411ea1d71f67e9631c1def0acace43ebb6e67adc0c4a1f5f14aadfbce44d0d815fc3696410bef66c826fd5fb00a45 SHA512 f4ba6722e1cf661b3febe10bb15755a9cbc30226a08bdcabfa3d80be87b42d662d6a1edb3412ad79e8f36836a6dd4fd91a83dae29725ec47041056dc1f1f9b75
diff --git a/dev-python/platformdirs/platformdirs-3.8.0.ebuild b/dev-python/platformdirs/platformdirs-3.8.0.ebuild
new file mode 100644
index 000000000000..70e821d796fb
--- /dev/null
+++ b/dev-python/platformdirs/platformdirs-3.8.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A small Python module for determining appropriate platform-specific dirs"
+HOMEPAGE="
+ https://pypi.org/project/platformdirs/
+ https://github.com/platformdirs/platformdirs/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+BDEPEND="
+ test? (
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ grep -q 'build-backend = "hatchling' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "${PN}"
+ version = "${PV}"
+ description = 'A small Python package for determining appropriate platform-specific dirs, e.g. a "user data dir".'
+ EOF
+ # sigh
+ cat > src/platformdirs/version.py <<-EOF || die
+ __version__ = version = '${PV}'
+ __version_tuple__ = version_tuple = (${PV//./, })
+ EOF
+}
diff --git a/dev-python/proto-plus/Manifest b/dev-python/proto-plus/Manifest
index 6eceffc73a7f..fe71e39c5320 100644
--- a/dev-python/proto-plus/Manifest
+++ b/dev-python/proto-plus/Manifest
@@ -1,3 +1,5 @@
DIST proto-plus-1.22.2.gh.tar.gz 69899 BLAKE2B ad485b04e4187dd5e33259e314d807ad5541c2ddf4fb8e0a85deb195c7643194d34101428fb4fcb7dd692d60e4dd4c4037f821b8fb0049a6e36e002ce870e48a SHA512 bacb8f285417bf0e4d20898c9bb2563e16204b09fc6fb92aadfcd67ad12df388681658eaaacd9b945f4d0ad7e2ce9b95dfc938f5ccc0c4419805c53ed837b2d7
+DIST proto-plus-python-1.22.3.gh.tar.gz 94230 BLAKE2B 7d7def297a2f1b863c4226ed6af35b3ecc6cfac5d324ddc311b5d44189b45773c46b83bf242fa9f9847399e1f6a55d5b114a6a1d69fe170201201fa92747dac7 SHA512 8505656798426d07e27929bf43873ae3f46b1cbd1e1b81e41035382c6edb5e5de4a550e41985d93b3c161a5fc676a1db6fc14b8e74dce5d1b1b7bf3a80419ae4
EBUILD proto-plus-1.22.2.ebuild 918 BLAKE2B 96659609215081d52ca2909bb941194b8cebcacbf9a4a70116a7e12a195c01820163a1cec3ed5adcd77f50a5661e5e712dd4437181a8e7ee91b7e1455156da13 SHA512 c05e19a8f5f88e75d9f46ae83c27b204705c7e49233f9c8957ee7050f9a6025793e5b53f86d5b90ed7ac34b1bc1efcd712d69bb6b22e5ac38eecdba4b1deea2f
+EBUILD proto-plus-1.22.3.ebuild 934 BLAKE2B 8db48f443ea359368d54b16ece005c761a1d565e2c509cc4d2f8de99e198702142674ee36e33dc5421beeb566e987500edfb166e82cd3d707c59528442ecfd23 SHA512 3764b4486b5e2dc7d0256267fa193ce5a0f598a2dc4d075227664cc8952c1c3fa032991337f6fc8a09c68d5e328613314687d3990fb4a77c92102b2405ca52df
MISC metadata.xml 447 BLAKE2B d440be836b8a2823ab3beb7f76cbe7ff3f027ec512dff3f7d920eefea3f18329e1aa910ca16e006b1424cbd780f3fad80b8ccdc632c08ade651afd815369e9d0 SHA512 d64b8d2eeac9916ec2faab3b038082155e46e8c379ce06d7f554de763318539fa9040d15f90a3a95f337937c90f4b4042f51b1ea1cd11727e5fd971a0af5280c
diff --git a/dev-python/proto-plus/proto-plus-1.22.3.ebuild b/dev-python/proto-plus/proto-plus-1.22.3.ebuild
new file mode 100644
index 000000000000..3c91dd1f06fa
--- /dev/null
+++ b/dev-python/proto-plus/proto-plus-1.22.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=${PN}-python-${PV}
+DESCRIPTION="Beautiful, Pythonic protocol buffers"
+HOMEPAGE="
+ https://github.com/googleapis/proto-plus-python/
+ https://pypi.org/project/proto-plus/
+"
+SRC_URI="
+ https://github.com/googleapis/proto-plus-python/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/protobuf-python-5[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.19.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/google-api-core-1.31.5[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme
diff --git a/dev-python/ubelt/Manifest b/dev-python/ubelt/Manifest
index 7517bc8d6c70..cac10ced717a 100644
--- a/dev-python/ubelt/Manifest
+++ b/dev-python/ubelt/Manifest
@@ -1,5 +1,7 @@
DIST ubelt-1.2.4.gh.tar.gz 337670 BLAKE2B 4c8b1c05cbed0f28e69b43445f12881e4c619be4a513b9263a6eb4d674e56b0a869d1e78072e1e89a505a12b3b40dddbb48424bccdcfbae1a7eabf7746bc79d0 SHA512 5fbe36598a035d1504b24a06e8f0fcd1c9d0ccc238f81bfad582288aced9ebc8323e7acf2705d47e60f36513cbf665051f554cce122d75d55247b5fc122af419
DIST ubelt-1.3.0.gh.tar.gz 345051 BLAKE2B f7019311fa432e8c520b42261cc2cf1a494029bbb627c1b868364d4f816bc6a5c55c22e9755c4302f81f5984947bb7ada07b4d0137c1fee9be99e404c744ca54 SHA512 cd63501092d63426fa6169ab87d8224342f6ad59b1d9a41f36c53fda57057a10f8d20db26502bdbcc13c803eff3054cd2da67509308cc0930e1f765fe5f1281a
+DIST ubelt-1.3.2.gh.tar.gz 345932 BLAKE2B 9ad9413a69402708117c5f0c1d804c6a4f9f54f55fa62b44eca5b79db1c37c466d011225ffd1e30c321907775395a9cbe3c11b6257ce5dd5edec8c5ecbcd2904 SHA512 3aa058a5028a93d618805b5612b7384d9ca2074e30adf1011acd3993d07f30f80b7d759290b7ccebab606b27a91bb8377626e4d6d99ea7f595c2e553a5aaa605
EBUILD ubelt-1.2.4.ebuild 1024 BLAKE2B 96a8aca73668d4903a5aab51fe6f6f38d7c865c9083016d6c9477fea42805c9caa690d0780e87b813e57f53bea701832b9e2d6cfe72e924dabf7d1d3be92618e SHA512 c9186dfe2ee83ea51219c57b6b1b8e85acc9eab9370710aefc6af088c5a65a2f493e0232891766c6fce829bdcdc4fb8da2e121a525c458002fd39b070434eb20
EBUILD ubelt-1.3.0.ebuild 1025 BLAKE2B 13557d3474c0b5c50f2e2ac2631bdf0485d8ab7cff66e6b12e0b0df8bd5e0ad01ec2fdb3ec85e2751fb0769a3971e0f2850a2dbf07e7256786cc15c0260c12e4 SHA512 dcf074152fb66584b571c3f570faa591aea39ed7b491458eb40fb18b4b89e1ce0c9bc524870233a6b9ce789d88781a957eee81916c0343d9d6057ea84c4c6bbc
+EBUILD ubelt-1.3.2.ebuild 1025 BLAKE2B 13557d3474c0b5c50f2e2ac2631bdf0485d8ab7cff66e6b12e0b0df8bd5e0ad01ec2fdb3ec85e2751fb0769a3971e0f2850a2dbf07e7256786cc15c0260c12e4 SHA512 dcf074152fb66584b571c3f570faa591aea39ed7b491458eb40fb18b4b89e1ce0c9bc524870233a6b9ce789d88781a957eee81916c0343d9d6057ea84c4c6bbc
MISC metadata.xml 477 BLAKE2B 6fed6e411576ba35dd7e10ba964f3a5edb97a44c3e1794f841a4e5e91b554c74f7065bdb7dc697df5b280494d24aec7cd21511793cdb180775e809df1c8ff1b3 SHA512 aa5d2dea34583835caeffde7a8abf42bb2d154818675e210b96c9f152582224d9eb101771f3e00a67be143298eca4075fade67c6f47b5c19dd18e78df62e2adb
diff --git a/dev-python/ubelt/ubelt-1.3.2.ebuild b/dev-python/ubelt/ubelt-1.3.2.ebuild
new file mode 100644
index 000000000000..71a8a3a0bb6c
--- /dev/null
+++ b/dev-python/ubelt/ubelt-1.3.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A stdlib like feel, and extra batteries. Hashing, Caching, Timing, Progress"
+HOMEPAGE="
+ https://github.com/Erotemic/ubelt/
+ https://pypi.org/project/ubelt/
+"
+SRC_URI="
+ https://github.com/Erotemic/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ >=dev-python/numpy-1.19.2[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.25.1[${PYTHON_USEDEP}]
+ dev-python/xdoctest[${PYTHON_USEDEP}]
+ >=dev-python/xxhash-1.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ tests/test_editable_modules.py::test_import_of_editable_install
+ # relies on passwd home being equal to ${HOME}
+ ubelt/util_path.py::userhome:0
+)